package org.gcube.portlets.user.geoportaldataentry.server.config;

import java.util.List;

import org.gcube.portlets.user.geoportaldataentry.shared.RoleRights;


public class GNADataEntryConfigs {

	List<RoleRights> permissionsForRole = null;

	public GNADataEntryConfigs() {

	}

	public GNADataEntryConfigs(List<RoleRights> permissionsForRole) {
		super();
		this.permissionsForRole = permissionsForRole;
	}

	public List<RoleRights> getPermissionsForRole() {
		return permissionsForRole;
	}

	public void setPermissionsForRole(List<RoleRights> permissionsForRole) {
		this.permissionsForRole = permissionsForRole;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("GNADataEntryConfigs [permissionsForRole=");
		builder.append(permissionsForRole);
		builder.append("]");
		return builder.toString();
	}

}
